Subject: Re: [PATCH v3] remote: add --fetch and --both options to set-url

From: Jeff King <[email-masked]>
Date: Wed, 17 Dec 2014 09:28:00 -0500

On Wed, Dec 17, 2014 at 03:20:58PM +0100, Peter Wu wrote:

> > There are 2 warning  "dangling else", line 1570 and 1578
> > I think we should use:
> > 
> > 			for (i = 0; i < remote->pushurl_nr; i++) {
> > 				if (!regexec(&old_regex, remote->pushurl[i], 0, NULL, 0))
> > 					matches++;
> > 				else
> > 					negative_matches++;
> > 			}
> > 
> 
> Good catch, strange enough I did not get any warnings from my compiler
> or Clang's static analyzer. I have submitted a new patch which treats
> the accumulated comments.

Yeah, gcc does not seem to care, but compiling with clang (3.5.0 here)
does notice it.

C's parser matches what your indentation indicates, so it is just a
style fixup, not a bug (but one I agree is worth addressing).

-Peff